Bug 167828 - kernel-devel lacks header files from include/asm-powerpc
kernel-devel lacks header files from include/asm-powerpc
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
http://www.kernel.org/git/?p=linux/ke...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-08 12:57 EDT by Frank Arnold
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.13-1.1565_FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 09:07:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Arnold 2005-09-08 12:57:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; de-DE; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
While trying to build an appletouch module I get errors like

include/linux/linkage.h:5:25: error: asm/linkage.h: No such file or directory

Investigation shows that some generic ppc/ppc64 stuff was moved to include/asm-powerpc, which is not included in current kernel-devel packages.

Version-Release number of selected component (if applicable):
kernel-devel-2.6.13-1.1542_FC5

How reproducible:
Always

Steps to Reproduce:
None.

Actual Results:  Can't build custom modules.

Additional info:
Comment 1 Frank Arnold 2005-09-21 09:07:09 EDT
Works again.

* Mon Sep 19 2005 David Woodhouse <dwmw2@redhat.com>
- Add asm-powerpc directory, DVB include files from drivers/media/dvb/

Note You need to log in before you can comment on or make changes to this bug.